/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.report.dto;

import jp.mosp.common.common.BaseDto;

/**
 * @author yoshida
 *
 */
public class MExportColumnDto extends BaseDto {
	
	private static final long	serialVersionUID	= -2872416038203607406L;
	
	// フィールド
	private String				columnField			= "";						//フィールドid
	private String				columnType			= "";						//フィールドタイプ
	private String				columnCollation		= "";
	private String				columnNull			= "";
	private String				columnKey			= "";
	private String				columnDefault		= "";
	private String				columnExtra			= "";
	private String				columnPrivileges	= "";
	private String				columnComment		= "";						//フィールド名
																				
	
	/**
	 * コンストラクタ
	 */
	public MExportColumnDto() {
		super();
	}
	
	//アクセサメソッド
	/**
	 * @return columnField
	 */
	public String getColumnField() {
		return columnField;
	}
	
	/**
	 * @return columnType
	 */
	public String getColumnType() {
		return columnType;
	}
	
	/**
	 * @return columnCollation
	 */
	public String getColumnCollation() {
		return columnCollation;
	}
	
	/**
	 * @return columnNull
	 */
	public String getColumnNull() {
		return columnNull;
	}
	
	/**
	 * @return columnKey
	 */
	public String getColumnKey() {
		return columnKey;
	}
	
	/**
	 * @return columnDefault
	 */
	public String getColumnDefault() {
		return columnDefault;
	}
	
	/**
	 * @return columnExtra
	 */
	public String getColumnExtra() {
		return columnExtra;
	}
	
	/**
	 * @return columnPrivileges
	 */
	public String getColumnPrivileges() {
		return columnPrivileges;
	}
	
	/**
	 * @return columnComment
	 */
	public String getColumnComment() {
		return columnComment;
	}
	
	/**
	 * @param columnField セットする columnField
	 */
	public void setColumnField(String columnField) {
		this.columnField = columnField;
	}
	
	/**
	 * @param columnType セットする columnType
	 */
	public void setColumnType(String columnType) {
		this.columnType = columnType;
	}
	
	/**
	 * @param columnCollation セットする columnCollation
	 */
	public void setColumnCollation(String columnCollation) {
		this.columnCollation = columnCollation;
	}
	
	/**
	 * @param columnNull セットする columnNull
	 */
	public void setColumnNull(String columnNull) {
		this.columnNull = columnNull;
	}
	
	/**
	 * @param columnKey セットする columnKey
	 */
	public void setColumnKey(String columnKey) {
		this.columnKey = columnKey;
	}
	
	/**
	 * @param columnDefault セットする columnDefault
	 */
	public void setColumnDefault(String columnDefault) {
		this.columnDefault = columnDefault;
	}
	
	/**
	 * @param columnExtra セットする columnExtra
	 */
	public void setColumnExtra(String columnExtra) {
		this.columnExtra = columnExtra;
	}
	
	/**
	 * @param columnPrivileges セットする columnPrivileges
	 */
	public void setColumnPrivileges(String columnPrivileges) {
		this.columnPrivileges = columnPrivileges;
	}
	
	/**
	 * @param columnComment セットする columnComment
	 */
	public void setColumnComment(String columnComment) {
		this.columnComment = columnComment;
	}
	
}
